## net.sf.saxon.event
Class ResultWrapper

    java.lang.Object
      net.sf.saxon.event.ResultWrapper

public class ResultWrapper
extends java.lang.Object

Helper class to construct a serialization pipeline for a given result destination and a given set of output properties. The pipeline is represented by a Receiver object to which result tree events are sent

Method Summary
`static Receiver` `getReceiver(javax.xml.transform.Result result, PipelineConfiguration pipe, java.util.Properties props)` Get a Receiver that wraps a given Result object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getReceiver

    public static Receiver getReceiver(javax.xml.transform.Result result,
                                       PipelineConfiguration pipe,
                                       java.util.Properties props)
                                throws XPathException

  Get a Receiver that wraps a given Result object

  Throws:
    `XPathException`